Bug 132786 - Installation of perl module Archive::Zip fails
Installation of perl module Archive::Zip fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 21:35 EDT by Tim Boyer
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: perl-5.8.0-90.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-09 15:58:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Boyer 2004-09-16 21:35:20 EDT
Description of problem: perl module Archive::Zip will not compile,
either by cpan or from source.  Fails with error message "Warning: I
could not locate your pod2man program. Please make sure, your pod2man
program is in your PATH before you execute 'make'"


Version-Release number of selected component (if applicable): perl
5.8.0, Archive::Zip 1.13


How reproducible: Very.

Steps to Reproduce:

cpan Archive::Zip

...

 CPAN.pm: Going to build N/NE/NEDKONZ/Archive-Zip-1.13.tar.gz
 
Checking if your kit is complete...
Looks good
 
Warning: I could not locate your pod2man program. Please make sure,
         your pod2man program is in your PATH before you execute 'make'
 
Writing Makefile for Archive::Zip
Makefile:88: *** missing separator.  Stop.
  /usr/bin/make  -- NOT OK
Running make test
  Can't test without successful make
Running make install
  make had returned bad status, install seems impossible
 
Or:

 [tim@tolstoy src]$ cd Archive-Zip-1.13/
 [tim@tolstoy Archive-Zip-1.13]$ perl Makefile.PL
  
 Warning: I could not locate your pod2man program. Please make sure,
         your pod2man program is in your PATH before you execute make'
  
 Writing Makefile for Archive::Zip

However, the file really is there:

 [tim@tolstoy Archive-Zip-1.13]$ type pod2man
 pod2man is /usr/bin/pod2man


Additional info:

Workaround which will make it work:

export LANG=en_US

then run cpan, or Makefile.PL
Comment 1 Warren Togami 2005-10-01 00:53:13 EDT
We do not support installing arbitrary CPAN modules.  Add-on software is the
responsibility of the user and upstream project to fix.  In this case do you
realize that we have a supported RPM of this module?
Comment 2 Tim Boyer 2005-10-01 01:05:10 EDT
Archive::Zip is hardly an 'arbitrary CPAN module'.  In addition, this is a bug
that affects multiple CPAN modules.  It's a long-standing Red Hat bug, as in -
it still exists in RHEL4.  See, for instance,

http://www.google.com/search?hl=en&lr=&safe=off&q=%22RedHat%22+could+not+locate+your+pod2man+program+LANG

If Red Hat does not want to bother fixing a well-known Red Hat bug, Red Hat
should say so, rather than hiding behind a 'third party' excuse.
Comment 3 Jason Vas Dias 2005-11-09 15:58:04 EST
The actual problem that failed the build was:
 'Makefile:98: *** missing separator. Stop.
 '
On RHEL-3-U6 with perl-5.8.0-90.2, and on RHEL-4-U2 with perl-5.8.5-17.RHEL-4,
neither the 'Makefile missing separator' nor the  missing pod2man problems occur.

Note You need to log in before you can comment on or make changes to this bug.